# Lookup addresses from geo location

Send a GET request to lookup addresses from geo location.

Endpoint: GET /doLookup

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Query parameters:

  - `t` (string)
    Transmission Reference - Serves as a unique identifier for this set of records.
    Example: "Test"

  - `id` (any, required)
    Required. The License Key issued by Melissa.
    Example: "{REPLACE-WITH-YOUR-LICENSE-KEY}"

  - `lat` (string, required)
    Required. The latitude geographic coordinate in decimal format.
    Example: "33.63756710910554"

  - `long` (string, required)
    Required. The longitude geographic coordinate in decimal format.
    Example: "-117.60695049134513"

  - `dist` (number)
    Maximum Distance - The requested maximum distance in miles.
    Example: 10

  - `recs` (number)
    Maximum Records - The requested number of records.

  - `opt` (string)
    Options - Specify which options to use for the selected action. List of options in : format. Multiple options are delimited with a ,.

For example: OptionName:Parameter,OptionName:Parameter.
- IncludeApartments: - This option allows you to include records with a non-null baseMAK. Default of Off will not include non-null baseMAK records.
- IncludeEmptyLots: - This option allows you to specify if you want to include addresses that are empty lots in your search. Default of Off will not include empty lots.
- IncludeUndeliverable: - This option allows you to specify if you want to include addresses we have identified as unable to deliver mail to. Default of On will include undeliverable addresses.

  - `format` (string)
    The desired format of the response.
    Enum: "json", "xml"

## Response 200 fields (application/json):

  - `Version` (string)
    The current service version number.

  - `TransmissionReference` (string)
    A pass-through of the input TransmissionReference field.

  - `TransmissionResults` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [Reverse GeoCoder Result Codes](https://docs.melissa.com/cloud-api/personator-search/result-codes.html).

  - `Results` (string)
    Comma delimited status, error codes, and change codes for the record. For more information, see [Reverse GeoCoder Result Codes](https://docs.melissa.com/cloud-api/personator-search/result-codes.html).

  - `TotalRecords` (integer)
    Total number of records.

  - `Records` (array)

  - `Records.AddressLine1` (string)
    The street address.

  - `Records.SuiteName` (string)
    The suite name of the address returned.

  - `Records.SuiteCount` (string)
    The number of suites in a particular building.

  - `Records.City` (string)
    The city of the output address.

  - `Records.State` (string)
    The state of the output address.

  - `Records.PostalCode` (string)
    The postal code of the output address.

  - `Records.AddressKey` (string)
    A unique identifier for an address. This key can be used with other current and future Melissa Data services.

  - `Records.Latitude` (string)
    The latitude geographic coordinate of the output address.

  - `Records.Longitude` (string)
    The longitude geographic coordinate of the output address.

  - `Records.Distance` (string)
    The distance in miles between the input coordinates and the output coordinates.

  - `Records.MelissaAddressKey` (string)
    The Melissa Address Key (MAK). This is a globally unique and persistent key for the location, even if parts of the address change. When an address is fully validated this field returns a 10-digit proprietary key for the address.

  - `Records.MelissaAddressKeyBase` (string)
    The Melissa Address Key Base (BaseMAK). Every full address has its own Melissa Address Key (MAK). If that address is a suite or apartment, we will also return a Melissa Address Key Base (BaseMAK) that corresponds to the overall building.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


